Commit 06449bfd authored by Jiaquan Huo's avatar Jiaquan Huo
Browse files

Merge branch 'main' into add_ltv_to_sba_pytests

parents fdeaa561 422c52c6
Loading
Loading
Loading
Loading
Loading
+1 −1
Original line number Diff line number Diff line
@@ -444,7 +444,7 @@ check-compatibility-with-basop-reference-branch:
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 -m create_ref --html=report1.html --self-contained-html --junit-xml=report-junit1.xml || exit_code1=$?
    - python3 -m pytest tests/codec_be_on_mr_nonselection -v --update_ref 1 -m create_ref_part2 --html=report2.html --self-contained-html --junit-xml=report-junit2.xml || exit_code2=$?
    - zero_errors=$(cat report-junit1.xml report-junit2.xml | grep -c 'errors="0"') || true
    - if [ $zero_errors != 1 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - if [ $zero_errors != 2 ]; then echo "Run errors encountered!"; exit $EXIT_CODE_FAIL; fi
    - exit 0
  artifacts:
    name: "check-float-reference--sha-$CI_COMMIT_SHORT_SHA--results"
+3 −3
Original line number Diff line number Diff line
@@ -43,9 +43,9 @@ JOBS_FLOAT_REPO = {
    "coverage-test-on-main-scheduled": "Coverage",
}
JOBS_BASOP_REPO = [
    "ivas-pytest-mld-long-dec",
    "ivas-pytest-mld-long-dec-lev+10",
    "ivas-pytest-mld-long-dec-lev-10",
    "ivas-pytest-compare_ref-long-dec",
    "ivas-pytest-compare_ref-long-dec-lev+10",
    "ivas-pytest-compare_ref-long-dec-lev-10",
]

JOBS_FOR_PROJECT_ID = {
+7 −4
Original line number Diff line number Diff line
@@ -164,10 +164,13 @@

#define FIX_POINT_HRTF_FILE_FORMAT                     /* All: fix point hrtf binary file format */
#ifdef FIX_POINT_HRTF_FILE_FORMAT
#define FIX_1123_CREND_16BIT_ROM
#define FIX_1123_TDREN_16BIT_ROM
#define FIX_1123_FASTCONV_16BIT_ROM                     /* FhG: issue 1123: update FastConv ROM tables and scripts to generate 16 bit tables instead of float */
#define FIX_1123_PARAMBIN_16BIT_ROM                     /* FhG,Nok: issue 1123: update ParamBin ROM tables and scripts to generate 16 bit tables instead of float */
/*#define FIX_1123_CREND_16BIT_ROM*/                    /* Ora: update CREND ROM tables to 16 bit */
#define FIX_1123_CREND_16BIT_FMT                        /* Ora: update CREND binary file format to 16 bit */
#define FIX_1123_CREND_FLTFX_BE                         /* Ora: make CREND FLT ROM tables BE to FX file */
/*#define FIX_1123_TDREN_16BIT_ROM*/                    /* Eri,Ora: update TD Object Renderer tables to 16 bit */
/*#define FIX_1123_FASTCONV_16BIT_ROM*/                 /* FhG: issue 1123: update FastConv ROM tables to 16 bit (must regenerate ROM file!) */
#define FIX_1123_FASTCONV_16BIT_FMT                     /* FhG: issue 1123: update FastConv binary file format and scripts to 16 bit */
/*#define FIX_1123_PARAMBIN_16BIT_ROM*/                 /* FhG,Nok: issue 1123: update ParamBin ROM tables and scripts to generate 16 bit tables instead of float */
#define FIX_RETURN                                      /* VA: fix location of function returns */
#endif
#define FIX_1129_EXT_REND_OUTPUT_HIGH                   /* Philips: issue 1129: External renderer BINAURAL_ROOM_REVERB format output level too high compared to internal rendering output */
+9 −8
Original line number Diff line number Diff line
@@ -167,7 +167,7 @@ static ivas_error ivas_binRenderer_convModuleOpen(

    if ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM )
    {
#ifdef FIX_1123_FASTCONV_16BIT_ROM
#ifdef FIX_1123_FASTCONV_16BIT_FMT
        hBinRenConvModule->numTaps = hHrtf->ntaps_brir;
#else
        hBinRenConvModule->numTaps = BINAURAL_NTAPS_MAX;
@@ -200,7 +200,7 @@ static ivas_error ivas_binRenderer_convModuleOpen(
    {
        if ( hBinRenderer->ivas_format == SBA_FORMAT )
        {
#ifdef FIX_1123_FASTCONV_16BIT_ROM
#ifdef FIX_1123_FASTCONV_16BIT_FMT
            if ( input_config == IVAS_AUDIO_CONFIG_HOA3 )
            {
                hBinRenConvModule->numTaps = hHrtf->ntaps_hrir_hoa3;
@@ -223,7 +223,7 @@ static ivas_error ivas_binRenderer_convModuleOpen(
        }
        else
        {
#ifdef FIX_1123_FASTCONV_16BIT_ROM
#ifdef FIX_1123_FASTCONV_16BIT_FMT
            hBinRenConvModule->numTaps = hHrtf->ntaps_hrir;
#else
            hBinRenConvModule->numTaps = BINAURAL_NTAPS;
@@ -493,7 +493,8 @@ void ivas_init_binaural_hrtf(

#ifndef FIX_1123_FASTCONV_16BIT_ROM
    HrtfFastConv->allocate_init_flag = 0x00;
#else
#endif
#ifdef FIX_1123_FASTCONV_16BIT_FMT
    HrtfFastConv->ntaps_hrir = BINAURAL_NTAPS;
    HrtfFastConv->ntaps_hrir_foa = BINAURAL_NTAPS_SBA;
    HrtfFastConv->ntaps_hrir_hoa2 = BINAURAL_NTAPS_SBA;
@@ -719,8 +720,8 @@ ivas_error ivas_allocate_binaural_hrtf(
        }
    }

#ifdef FIX_1123_FASTCONV_16BIT_ROM
    if ( ( renderer_type == RENDERER_BINAURAL_FASTCONV && bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED ) || ( renderer_type == RENDERER_BINAURAL_FASTCONV && input_config != IVAS_AUDIO_CONFIG_INVALID ) )
#ifdef FIX_1123_FASTCONV_16BIT_FMT
    else if ( ( renderer_type == RENDERER_BINAURAL_FASTCONV && bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED ) || ( renderer_type == RENDERER_BINAURAL_FASTCONV && input_config != IVAS_AUDIO_CONFIG_INVALID ) )
#else
    if ( renderer_type == RENDERER_BINAURAL_FASTCONV || bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED )
#endif
@@ -765,8 +766,8 @@ ivas_error ivas_allocate_binaural_hrtf(
        }
    }

#ifdef FIX_1123_FASTCONV_16BIT_ROM
    if ( ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM && bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED ) || ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM && input_config != IVAS_AUDIO_CONFIG_INVALID ) )
#ifdef FIX_1123_FASTCONV_16BIT_FMT
    else if ( ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM && bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED ) || ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM && input_config != IVAS_AUDIO_CONFIG_INVALID ) )
#else
    if ( renderer_type == RENDERER_BINAURAL_FASTCONV_ROOM || bin_input_config == BINAURAL_INPUT_AUDIO_CONFIG_COMBINED )
#endif
+4855 −4855

File changed.

Preview size limit exceeded, changes collapsed.

Loading